v1.0
delete
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/resupplies/{resupplyId}
Removes a resupply group by its ID.
Rights: SupplySettingRightsPost
Required sponsor roles are clinical supply manager and site manager.
Rights: SupplySettingRightsPost
Required sponsor roles are clinical supply manager and site manager.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
resupplyId(required): string(uuid)
ID of resupply group.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- */*
200 Response
Successful operation
400 Response
'Invalid resupply type', 'Resupply is in use by one or more sites'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
'Resupply not found', 'Study identifier does not match any study identifiers in Clinical One.'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object